slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGView

Prints the RG data structure.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGView(RG rg,PetscViewer viewer)

Collective

### Input Parameters

| rg | - the region context
| viewer | - optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### See Also

RGCreate()

### Level

beginner

### Location

src/sys/classes/rg/interface/rgbasic.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages